unit ctrls2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  KsHooks, KsForms, KsSkinForms, KsButtons, KsSkinButtons, KsTabs,
  KsCheckBoxs, KsSkinCheckBoxs, KsSkinTabs, KsPanels, KsSkinPanels,
  KsControls, KsGroupBoxs, KsSkinGroupBoxs, KsSpeedButtons,
  KsSkinSpeedButtons;

type
  TfrmControls2 = class(TForm)
    KsBlendGroupBox1: TSeSkinGroupBox;
    KsBlendPanel1: TSeSkinPanel;
    KsBlendPanel2: TSeSkinPanel;
    SeSkinForm1: TSeSkinForm;
    KsBlendRadioButton1: TSeSkinRadioButton;
    KsBlendRadioButton2: TSeSkinRadioButton;
    KsBlendRadioButton3: TSeSkinRadioButton;
    KsBlendRadioButton4: TSeSkinRadioButton;
    TabControl: TSeSkinTabControl;
    PageControl: TSeSkinTabControl;
    TKsCustomTabSheet1: TKsCustomTabSheet;
    TKsCustomTabSheet2: TKsCustomTabSheet;
    TKsCustomTabSheet3: TKsCustomTabSheet;
    TKsCustomTabSheet4: TKsCustomTabSheet;
    KsBlendCheckBox3: TSeSkinCheckBox;
    KsBlendCheckBox2: TSeSkinCheckBox;
    SeSkinButton1: TSeSkinButton;
    SeSkinCheckBox1: TSeSkinCheckBox;
    SeSkinSpeedButton1: TSeSkinSpeedButton;
    procedure KsBlendRadioButton1Click(Sender: TObject);
    procedure KsBlendCheckBox2Click(Sender: TObject);
    procedure KsBlendCheckBox3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmControls2: TfrmControls2;

implementation

uses Main;

{$R *.DFM}

procedure TfrmControls2.KsBlendRadioButton1Click(Sender: TObject);
begin
  if KsBlendRadioButton1.Checked then
  begin
    TabControl.TabPosition := tpTop;
    PageControl.TabPosition := tpTop;
  end;
  if KsBlendRadioButton3.Checked then
  begin
    TabControl.TabPosition := tpLeft;
    PageControl.TabPosition := tpLeft;
  end;
  if KsBlendRadioButton2.Checked then
  begin
    TabControl.TabPosition := tpBottom;
    PageControl.TabPosition := tpBottom;
  end;
  if KsBlendRadioButton4.Checked then
  begin
    TabControl.TabPosition := tpRight;
    PageControl.TabPosition := tpRight;
  end;
  PageControl.Realign;
end;

procedure TfrmControls2.KsBlendCheckBox2Click(Sender: TObject);
begin
  TabControl.MultiLine := KsBlendCheckBox2.Checked;
  PageControl.MultiLine := KsBlendCheckBox2.Checked;
  PageControl.Realign;
end;

procedure TfrmControls2.KsBlendCheckBox3Click(Sender: TObject);
begin
  TabControl.ScrollOpposite := KsBlendCheckBox3.Checked;
  PageControl.ScrollOpposite := KsBlendCheckBox3.Checked;
  PageControl.Realign;
end;

end.
